namespace Wizard;

public class PracticePuzzleBattleStartTask : BaseTask
{
	public class PracticePuzzleBattleStartTaskTaskParam : BaseParam
	{
		public int puzzle_id;
	}

	public PracticePuzzleBattleStartTask()
	{
		base.type = ApiType.Type.PracticePuzzleBattleStart;
	}

	public void SetParameter(int puzzleId)
	{
		PracticePuzzleBattleStartTaskTaskParam practicePuzzleBattleStartTaskTaskParam = new PracticePuzzleBattleStartTaskTaskParam();
		practicePuzzleBattleStartTaskTaskParam.puzzle_id = puzzleId;
		base.Params = practicePuzzleBattleStartTaskTaskParam;
	}
}
